de.caff.generics.converter

## Class TransitiveFragileTypeConverter<T,I,S>

- java.lang.Object
- - de.caff.generics.converter.TransitiveFragileTypeConverter<T,I,S>

- Type Parameters:
    `T` - target type
    `I` - intermediate type
    `S` - source type
  All Implemented Interfaces:
    FragileTypeConverter<T,S>

      public class TransitiveFragileTypeConverter<T,I,S>
      extends java.lang.Object
      implements FragileTypeConverter<T,S>

  A two step fragile type converter. This converter does conversion via an intermediate step.
  Author:
    Rammi

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransitiveFragileTypeConverter(FragileTypeConverter<T,I> secondStep, FragileTypeConverter<? extends I,S> firstStep)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `convert(S object)` Convert an object to another type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransitiveFragileTypeConverter

          public TransitiveFragileTypeConverter(@NotNull
                                                FragileTypeConverter<T,I> secondStep,
                                                @NotNull
                                                FragileTypeConverter<? extends I,S> firstStep)

      Constructor.
      Parameters:
        `secondStep` - type converter which does the second step of the conversion
        `firstStep` - type converter which does the first step of the conversion

  - ### Method Detail

    - #### convert

          public T convert(S object)
                    throws TypeConverterException

      Convert an object to another type.
      Specified by:
        `convert` in interface `FragileTypeConverter<T,S>`
      Parameters:
        `object` - object to convert
      Returns:
        target object
      Throws:
        `TypeConverterException` - if an exception was thrown during conversion